MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024471Open CASCADE[OCCT] OCCT:Samplespublic2013-12-16 17:572013-12-19 14:00
Reporteraba 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024471: Erasing of the shape in HLR sample leads to sample crash.
DescriptionOn the selected shape erasing in HLR sample or on updating of the shape in the HLR dialog view the sample crashes.
Steps To Reproduce1. Start HLR sample.
2. Import some shape.
3. Open HLR dialog.
4. Click on "Get shapes" button.
-- 2d view with HLR result and view in the dialog display the shape.
5. Click on "Get shapes" button again.
-- The application crashes with exception.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0027226)
aba (developer)
2013-12-16 18:14

The git branch CR24471 is ready to be reviewed.

Dear san,
please review.
(0027227)
san (developer)
2013-12-17 11:04

Branch CR24471 reviewed without remarks, ready for testing.
(0027228)
apn (administrator)
2013-12-17 11:09

Shape is erasing correctly. Tested.

- Related Changesets
occt: master 38fd0511
Timestamp: 2013-12-16 14:10:58
Author: aba
Committer: apn
Details ] Diff ]
0024471: Erasing of the shape in HLR sample leads to sample crash.
mod - samples/mfc/standard/08_HLR/src/SelectionDialog.cpp Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-12-16 17:57 aba New Issue
2013-12-16 17:57 aba Assigned To => aba
2013-12-16 17:57 aba Status new => assigned
2013-12-16 18:10 aba Summary Erasing of the object in HLR sample leads to sample crash => Erasing of the shape in HLR sample leads to sample crash.
2013-12-16 18:10 aba Description Updated View Revisions
2013-12-16 18:14 aba Note Added: 0027226
2013-12-16 18:14 aba Assigned To aba => san
2013-12-16 18:14 aba Status assigned => resolved
2013-12-17 11:04 san Note Added: 0027227
2013-12-17 11:04 san Assigned To san => bugmaster
2013-12-17 11:04 san Status resolved => reviewed
2013-12-17 11:09 apn Note Added: 0027228
2013-12-17 11:09 apn Test case number => Not needed
2013-12-17 11:09 apn Status reviewed => tested
2013-12-17 11:09 apn Target Version => 6.7.0
2013-12-18 14:01 apn Changeset attached => occt master 38fd0511
2013-12-18 14:01 apn Assigned To bugmaster => apn
2013-12-18 14:01 apn Status tested => verified
2013-12-18 14:01 apn Resolution open => fixed
2013-12-19 13:50 bugmaster Status verified => closed
2013-12-19 14:00 bugmaster Fixed in Version => 6.7.0
2014-01-11 11:59 abv Category OCCT Release:MFC => OCCT Release:Samples
2014-01-11 12:02 abv Category OCCT Release:Samples => OCCT:Samples


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker